summaryrefslogtreecommitdiff
path: root/tests/misc
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-11-03 16:10:58 +0000
committerJim Meyering <jim@meyering.net>2003-11-03 16:10:58 +0000
commit30543245a14759e160e92e9753cbe6a761fdc315 (patch)
treebdcd24b943369cd51c612946118195efcea33a8c /tests/misc
parent8994346d659c7af7d3c79b4a6cc57608ec490492 (diff)
downloadcoreutils-30543245a14759e160e92e9753cbe6a761fdc315.tar.xz
Fail the test immediately if we're not running
the expected version of fold.
Diffstat (limited to 'tests/misc')
-rwxr-xr-xtests/misc/fold13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/misc/fold b/tests/misc/fold
index 3c762cc71..3e065e911 100755
--- a/tests/misc/fold
+++ b/tests/misc/fold
@@ -11,6 +11,19 @@ $PERL -e 1 > /dev/null 2>&1 || {
exit 77
}
+# Ensure that we don't run an older version of fold.
+# Prior to 5.0.91, some of the tests below would cause fold to infloop,
+# and since `make check' might be run even after a build failure, it'd
+# expose just such an older version.
+ver=`fold --version|sed 1q`
+case $ver in
+ *" $PACKAGE_VERSION") ;;
+ *) echo 1>&2 \
+ "$0: found unexpected version of fold, \`$ver'"
+ "(expected $PACKAGE_VERSION)"
+ exit 1;;
+esac
+
exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF
#/
require 5.003;